<template>
    <div>
        <main class="main">
            <section class="vanase">
                <aside class="filter">
                    <div class="filter__box">
                        
                    </div>
                </aside>
                <div class="vacanse__wrapper">
                    <div class="vacans__headding headding">
                        <h2 class="headding">Вакансии</h2>
                        <form>
                            <v-btn icon>
                                <v-icon>mdi-magnify</v-icon>
                            </v-btn>
                            <input class="header__search" type="text" v-model="search">
                        </form>
                    </div>
                    <div class="vacanse__container">
                        <div
                        v-for='vacanse in searchHandler' 
                        :key="vacanse.id" 
                        class="vacanse__item"
                        @click="$router.push({path:`/Vacanses/${vacanse.id}`})" >
                            <div class="vacanse__box-img">
                                <img class="vacanse__img" :src="`/images/${vacanse.image}`" :alt="`${vacanse.alt}`">
                            </div>
                            <p id="m" class="vacanse__title">{{vacanse.name}}</p>
                            <p id="m" class="vacanse__desk">{{vacanse.shortDesc}}</p>
                        </div>
                    </div>
                </div>
            </section>
        </main>
    </div>
</template>

<script>
    import { mapGetters, mapActions } from 'vuex';
   
    export default {
        data() {
            return{
                search: '',
                vacanses:[]
            }
        },
        computed:{
            ...mapGetters(['allVacanses']),
            searchVacanse() {
                return this.vacanses
            },
            searchHandler(){
                return this.vacanses.filter(elem => {
                    return elem.name.toLowerCase().includes(this.search.toLowerCase());
                })
            }
        },
        methods: 
            mapActions(["fetchVacanse"]),
            async mounted() {
            this.fetchVacanse()    
            },
        created() {
            this.vacanses = this.allVacanses
        },
        
        }
</script>

<style>
.vacanse__wrapper{
    max-width: 1440px;
    margin: 0 auto;
}

.vacanse__container{
    margin-top: 20px;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 1.5%;
}

.box{
    display: flex;
}

.headding{
    font-size: 2rem;
}

.vacans__headding{
    text-align: center;
}

.vacanse__item{
    display: flex;
    flex-direction: column;
    text-align: center;
    margin-bottom: 20px;
}

.vacanse__img{
    height: 300px;
    width: 450px;
}

.vacanse__title{
    font-size: 1.4rem;
}

#m{
    margin: 0;
}

.header__search{
    padding: 4px;
}

.vacanse__box-img{
    align-content: center;
}

@media screen and (max-width: 550px) {
    .vacanse__img{
        height: 150px;
        width: 225px;
    }
    .vacanse__title{
        font-size: 1rem;
    }
    .vacanse__desk{
        font-size: 0.8rem;
    }
}

@media print{
    form{
        display: none;
    }
    button{
        display: none;
    }
    .feedback__headding{
        display: none;
    }
}
</style>


   